Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036279
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2017-06-19 18:062017-09-22 10:17
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision6c767fe487d2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036279: Unused manual servlets: HeartbeatConfirm & RegistrationConfirm

DescriptionThose 2 files are servlet but do not have an entry in ad_model_object mapping.

That means they do not have a mapping as a servlet in web.xml so are not callable.

So they appear unused & unusable in their current state.

9062 [main] WARN org.openbravo.test.model.UnusedServletTest - NO ad_model_object entry for servlet: org.openbravo.erpCommon.ad_forms.HeartbeatConfirm
9150 [main] WARN org.openbravo.test.model.UnusedServletTest - NO ad_model_object entry for servlet: org.openbravo.erpCommon.ad_forms.RegistrationConfirm
Steps To Reproduce-
Proposed SolutionDelete the 2 files + their associated data (i.e. textinterfaces + html/xml of xmlEngine templates)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036280 closedAtulOpenbravo Several unused + probably unusable callouts exists and are candidates to be deleted 
related to defect 0036923 closedshuehner api-changes related to unused code removal 
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0099438)
hgbot (developer)
2017-09-21 23:10

Repository: erp/devel/pi
Changeset: 6c767fe487d2ffed7acafd0fe344b8d6b89f3bf0
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Fri Sep 15 16:42:36 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6c767fe487d2ffed7acafd0fe344b8d6b89f3bf0 [^]

Fixed 36279. Removed unused HeartbeatConfirm & RegistrationConfirm files.

Both servlets did already not have a ad_model_object and _mapping entry so they
could not be called.
Also checking in getAllModules did not find any references in modules.

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
R src/org/openbravo/erpCommon/ad_forms/HeartbeatConfirm.html
R src/org/openbravo/erpCommon/ad_forms/HeartbeatConfirm.java
R src/org/openbravo/erpCommon/ad_forms/HeartbeatConfirm.xml
R src/org/openbravo/erpCommon/ad_forms/RegistrationConfirm.html
R src/org/openbravo/erpCommon/ad_forms/RegistrationConfirm.java
R src/org/openbravo/erpCommon/ad_forms/RegistrationConfirm.xml
---
(0099466)
alostale (developer)
2017-09-22 10:17

reviewed

- Issue History
Date Modified Username Field Change
2017-06-19 18:06 shuehner New Issue
2017-06-19 18:06 shuehner Assigned To => platform
2017-06-19 18:06 shuehner Modules => Core
2017-06-19 18:06 shuehner Triggers an Emergency Pack => No
2017-06-19 18:16 shuehner Relationship added related to 0036280
2017-06-20 09:25 alostale Relationship added blocks 0032688
2017-06-20 09:25 alostale Status new => acknowledged
2017-09-15 17:48 shuehner Assigned To platform => shuehner
2017-09-21 23:06 shuehner Relationship added related to 0036923
2017-09-21 23:10 hgbot Checkin
2017-09-21 23:10 hgbot Note Added: 0099438
2017-09-21 23:10 hgbot Status acknowledged => resolved
2017-09-21 23:10 hgbot Resolution open => fixed
2017-09-21 23:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6c767fe487d2ffed7acafd0fe344b8d6b89f3bf0 [^]
2017-09-21 23:14 shuehner Review Assigned To => alostale
2017-09-21 23:14 shuehner Fixed in Version => 3.0PR17Q4
2017-09-22 10:17 alostale Note Added: 0099466
2017-09-22 10:17 alostale Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker